Skip to main content
GET
/
api
/
v1
/
contracts
/
{contractIdOrAddress}
/
state
The contract state from a contract on the network
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/contracts/{contractIdOrAddress}/state
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/contracts/{contractIdOrAddress}/state"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/contracts/{contractIdOrAddress}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "state": [
    {
      "address": "0000000000000000000000000000000000001f41",
      "contract_id": "0.0.2",
      "timestamp": "1586567700.453054000",
      "slot": "0x00000000000000000000000000000000000000000000000000000000000000fa",
      "value": "0x8c5be1e5ebec7d5bd14f71427d1e84f3dd0314c0f7b2291e5b200ac8c7c3b925"
    }
  ],
  "links": {
    "next": null
  }
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}
{
"_status": {
"messages": [
{
"message": "Not found"
}
]
}
}

Path Parameters

contractIdOrAddress
string
required

The ID or hex encoded EVM address (with or without 0x prefix) associated with this contract.

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40})$

Query Parameters

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:asc

The order in which items are listed

Available options:
asc,
desc
slot
string

The slot's number

Pattern: ^((eq|gte?|lte?)\:)?(0x)?[0-9A-Fa-f]{1,64}$
timestamp
string[]

The consensus timestamp of the contract state as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte):)?\d{1,10}(\.\d{1,9})?$

Response

OK

state
object[]